noob-frage: php4 & php5

Dieses Thema im Forum "Linux OS" wurde erstellt von vogelkamm, 29.11.2006.

  1. #1 vogelkamm, 29.11.2006
    vogelkamm

    vogelkamm Jungspund

    Dabei seit:
    24.11.2006
    Beiträge:
    18
    Zustimmungen:
    0
    noob-Frage:
    Leiber einmal mehr gefragt und eine konstruktive Anwort erhalten als rumheulen wenn nichts mehr geht:D
    Ist es ohne weiteres sinnvoll möglich php4 und php5 auf einen Webserver zu installieren?
    oder
    Brauch ich zwei Webserver (bsp apache) möglichst Fehlerfrei beide PHP versionen laufen zu lassen (Sprich den einen Server auf Port 80 und den Anderen auf Prot 90)?:think:

    -----
    Wiso will ich PHP4 und PHP5.
    Also die Mediawiki will nur mit PHP5 und neuer, also habe ich das Aktuelle PHP5.2 auf dem Webserver installiert. Mediawiki abrbeitet, aber nun habe ich Probleme egroupware
    (Meldung:
    Warning: mb_strstr() [function.mb-strstr]: Empty haystack in /usr/share/egroupware/phpgwapi/inc/class.egw_db.inc.php on line 1633

    Warning: mb_strstr() [function.mb-strstr]: Empty haystack in /usr/share/egroupware/phpgwapi/inc/class.egw_db.inc.php on line 1633

    Warning: mb_strstr() [function.mb-strstr]: Empty haystack in /usr/share/egroupware/phpgwapi/inc/class.egw_db.inc.php on line 1633

    Fatal error: Cannot redeclare class datetime in /usr/share/egroupware/phpgwapi/inc/class.datetime.inc.php on line 45)

    Nach erfolgreicher suche bei google habe ich gefunden, dass dies ein Problem der PHP version ist, daher hatte ich nun überlegt beide laufen zu lassen.
    Damit es zu keinen Versionskonflikten kommt, dachte ich, dass die egroupware auf einem apache1.3.x mit PHP4 laufen könnte (Port 90) und der rest (Wiki) auf Apache2.x mit PHP5 (port 80) laufen könnte.

    Ist diese Idee völlig daneben? ?( oder gibt es villeicht noch eine Tollere Lösung.
    Gruß und danke für antworten
    Vogelkamm
     
  2. Anzeige

    Schau dir mal diese Kategorie an. Dort findest du bestimmt etwas.
    Registrieren bzw. einloggen, um diese und auch andere Anzeigen zu deaktivieren
  3. #2 vogelkamm, 29.11.2006
    vogelkamm

    vogelkamm Jungspund

    Dabei seit:
    24.11.2006
    Beiträge:
    18
    Zustimmungen:
    0
  4. #3 «oMeE», 29.11.2006
    «oMeE»

    «oMeE» beta_0.5.2

    Dabei seit:
    28.11.2004
    Beiträge:
    305
    Zustimmungen:
    0
    Ort:
    213.252.153.141
    Oder...
    [​IMG]
     
  5. #4 theton, 29.11.2006
    Zuletzt bearbeitet: 29.11.2006
    theton

    theton Bitmuncher

    Dabei seit:
    27.05.2004
    Beiträge:
    4.820
    Zustimmungen:
    0
    Ort:
    Berlin, Germany
    Ich rate davon ab PHP4 und PHP5 gleichzeitig im Apache einzusetzen. Hab damit mal eine Weile rumexperimentiert und die Erfolge waren eher mässig. Mach dir lieber 2 Apache-Instanzen rauf (können auch die gleiche Version sein, müssen nur in ein anderes $PREFIX installiert werden und können auch problemlos die gleichen DocumentRoots haben), damit fährst du besser. Unsere Test-Umgebung läuft z.B. so. Problem dabei ist lediglich, dass die Server natürlich auf verschiedenen Ports laufen müssen, was sich aber durch virtuelle IPs und entsprechende Port-Forwardings ziemlich einfach lösen lässt.
    Anleitung zum Kompilieren gibt's unter http://www.hackerwiki.org/index.php/Einrichtung_eines_LAMP_(Linux,_Apache,_MySQL,_PHP) Du musst halt nur darauf achten, dass du beim configure vom Apache 2 für jeden Webserver ein anderes Prefix setzt.
     
  6. #5 vogelkamm, 29.11.2006
    vogelkamm

    vogelkamm Jungspund

    Dabei seit:
    24.11.2006
    Beiträge:
    18
    Zustimmungen:
    0
  7. theton

    theton Bitmuncher

    Dabei seit:
    27.05.2004
    Beiträge:
    4.820
    Zustimmungen:
    0
    Ort:
    Berlin, Germany
    So, Link ist korrigiert. Da wurde die schliessende Klammer am Ende nicht automatisch in den Link aufgenommen.
     
  8. Anzeige

    Vielleicht findest du HIER Antworten.
    Registrieren bzw. einloggen, um diese und auch andere Anzeigen zu deaktivieren
Thema:

noob-frage: php4 & php5

Die Seite wird geladen...

noob-frage: php4 & php5 - Ähnliche Themen

  1. Apache2 mit PHP4 und PHP5 (Debian Etch)

    Apache2 mit PHP4 und PHP5 (Debian Etch): Hallo, ich suche nun schon seit einiger Zeit im Internet eine gute Anleitung wie ich unter Debian Etch mit Apache2 mit der PHP-Version 4 und 5...
  2. libphp4.so fehlt

    libphp4.so fehlt: hallo zusammen, nach ewig langem rumprobieren und stundenlangen quaelerein mit fehlenden abhaengigkeiten habe ich es endlich wieder geschafft,...
  3. Debian Etch und Apache2 + Php4 oder 5

    Debian Etch und Apache2 + Php4 oder 5: Hallo Leutz, hab ein Problem und zwar habe ich mir vor tagen Debian Etch installiert mit Apache2 php4 php5 und modul apache2-mod-php5 nun lief...
  4. Apache2 PHP4 mysql Fedora @ RS6000

    Apache2 PHP4 mysql Fedora @ RS6000: Eigendlich kenne ich mich mit Fedora garnicht aus, aber wie es der Zufall will kann ich auf meinem RS6000 kein Debian Installieren und musste...
  5. PHP4 unter SuSE 10.x

    PHP4 unter SuSE 10.x: Hallöchen, ich bin normal Ubuntu-User und wollt mir das neue SuSE 10.3Alpha1 anschauen. Hat sich ja wirklich viel getan seit 8.0 ;) Nun aber...